# Maintainer: Future Linux Team <future_linux@163.com>

pkgname=perl-xml-parser
pkgver=2.46
pkgrel=1
pkgdesc="Expat-based XML parser module for perl"
arch=('x86_64')
url="https://search.cpan.org/dist/XML-Parser/"
license=('GPL' 'PerlArtistic')
groups=('base')
depends=('expat' 'glibc' 'perl')
makedepends=('bash' 'binutils' 'coreutils' 'gcc' 'make')
options=('!emptydirs')
source=("https://search.cpan.org/CPAN/authors/id/T/TO/TODDR/XML-Parser-${pkgver}.tar.gz")
sha256sums=(d331332491c51cccfb4cb94ffc44f9cd73378e618498d4a37df9e043661c515d)

build() {
    cd XML-Parser-${pkgver}

    perl Makefile.PL

    make
}

package() {
    cd XML-Parser-${pkgver}

    make DESTDIR=${pkgdir} install
}
